Package classycle.ant

# Class ClassycleTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
classycle.ant.ClassycleTask

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `DependencyCheckingTask`, `ReportTask`

public abstract class ClassycleTask extends org.apache.tools.ant.Task
Common attributes of all Classyle Ant tasks.

Author:
  Franz-Josef Elmer

## Field Summary

Fields
Modifier and Type
Field
Description
`protected File`
`_reportFile`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`ClassycleTask()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(org.apache.tools.ant.types.ResourceCollection rc)`
`void`
`execute()`
`protected String[]`
`getClassFileNames()`
`protected StringPattern`
`getPattern()`
`protected StringPattern`
`getReflectionPattern()`
`protected boolean`
`isMergeInnerClasses()`
`void`
`setExcludingClasses(String patternList)`
`void`
`setIncludingClasses(String patternList)`
`void`
`setMergeInnerClasses(boolean mergeInnerClasses)`
`void`
`setReflectionPattern(String patternList)`
`void`
`setReportFile(File xmlFile)`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### _reportFile

protected File _reportFile

## Constructor Details

### ClassycleTask

public ClassycleTask()

## Method Details

### setMergeInnerClasses

public void setMergeInnerClasses(boolean mergeInnerClasses)

### setIncludingClasses

public void setIncludingClasses(String patternList)

### setExcludingClasses

public void setExcludingClasses(String patternList)

### setReflectionPattern

public void setReflectionPattern(String patternList)

### add

public void add(org.apache.tools.ant.types.ResourceCollection rc)

### execute

public void execute() throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`

### getClassFileNames

protected String[] getClassFileNames()

### getPattern

protected StringPattern getPattern()

### getReflectionPattern

protected StringPattern getReflectionPattern()

### isMergeInnerClasses

protected boolean isMergeInnerClasses()

### setReportFile

public void setReportFile(File xmlFile)